/*
 * Work.h
 *
 *  Created on: Apr 12, 2018
 *      Author: armin
 */

#ifndef WORK_H_
#define WORK_H_

#include <bytestr.h>
#include <string>
#include <vector>

namespace comm {

class Work {
 public:
  util::bytestr from;
  util::bytestr to;
  long total;

  Work() = default;
  Work(std::string work);

  std::string repr(void);
  std::vector<std::string> split(std::string s, std::string delimiter);

  virtual ~Work();
};

}  // namespace comm

#endif /* WORK_H_ */
